<!DOCTYPE html>
<html {!! $dir !!}>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>

<body>
    <header>
        <div id="company-data">
            <h2 id="company-name">{{ $companyName }}</h2>

            <img id="company-logo" src="{{ $companyLogo }}">
        </div>

        <div>
            <div id="report-details">
                <p>
                    {{ __('reports_generated_by', [], $locale) }}:
                    {{ $userName }}<br>
                    {{ $createdAt }} <br>
                    {{ $timezone }}
                </p>
            </div>
        </div>

        <br><br><br>

        <div id="report-name">
            <p>

                @if (empty($startDate))
                    {{ $reportName }}
                @else
                    {{ __(
                        'reports_report_name',
                        [
                            'reportName' => $reportName,
                            'startDate' => $startDate,
                            'endDate' => $endDate,
                        ],
                        $locale,
                    ) }}
                @endif
            </p>
        </div>
    </header>

    <br><br>

    <style>
        body {
            width: 100%;
            margin: 0;
        }

        #company-data {
            color: #555555;
        }

        #company-name {
            float: {{ empty($dir) ? 'right' : 'left' }};
            font-size: 14px;
            padding-{{ empty($dir) ? 'right' : 'left' }}: 10px;
            padding-bottom: 10px;
        }

        #company-logo {
            height: 30px;
            width: 135px;
            padding-left: 10px;
        }

        #report-name {
            float: left;
            padding-left: 10px;
        }

        #report-details {
            padding-left: 10px;
            float: left;
        }

        #report-name,
        #report-details {
            font-size: 10px;
            width: 98%;
        }

        #report-url {
            float: right;
            width: 15%;
            text-align: right;
            padding-right: 10px;
        }

        a:link {
            text-decoration: none;
            font-size: 12px;
        }
    </style>
</body>

</html>
