<!DOCTYPE html>
<html lang="{{ $locale }}" {!! $dir !!}>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>{{ $filename }}</title>
    <style>        
        table {
            width: 100%;
            border-spacing: 0;
        }

        td,
        th {
            padding: 0;
            text-align: {{ empty($dir) ? 'left' : 'right' }};
        }

        thead {
            font-size: 13px;
            background-color: #0f5e5e;
            color: #ffffff;
        }

        thead th {
            padding-left: 5px;
        }

        thead tr {
            height: 30px;
        }

        tbody {
            font-size: 13px;
            color: #656565;
        }

        tbody td {
            padding-top: 5px;
            padding-left: 5px;
        }

        th {
            font-size: 13px;
        }

        a:link {
            text-decoration: none;
            font-size: 12px;
        }

        table {
            page-break-after: auto
        }

        tr {
            page-break-inside: avoid;
            page-break-after: auto
        }

        td {
            page-break-inside: avoid;
            page-break-after: auto
        }

        thead {
            display: table-row-group;
        }

        tfoot {
            display: table-footer-group
        }
    </style>
</head>

<body>
    @if ($filename === 'summary')
        @include('pdf.summary_report')
    @elseif ($filename === 'agent_availability')
        @include('pdf.agent_availability')
    @elseif (in_array($filename, ['agents_by_hour']))
        @include('pdf.session_report')
    @elseif ('agent_session_time_by_hour' === $filename)
        @include('pdf.session_hour')
    @elseif ('agent_session_time_by_day' === $filename)
        @include('pdf.session_day')
    @else
        @include('pdf.datatable')
    @endif
</body>

</html>