@foreach ($rows as $row)
    <table>

        <thead>
            <tr>
                <th class="key-header">{{ __('extension') }}</th>
                <th class="key-header">{{ __('reports_agent') }}</th>
                <th class="key-header">{{ __('avg_session_time') }}</th>
                <th class="key-header">{{ __('min_session_time') }}</th>
                <th class="key-header">{{ __('max_session_time') }}</th>
                <th class="key-header">{{ __('queues') }}</th>
            </tr>
        </thead>

        <tbody>
            <tr>
                <td>{{ $row['extension'] }} </td>
                <td>{{ $row['agent'] }} </td>
                <td>{{ $row['avg_session'] }} </td>
                <td>{{ $row['max_session'] }} </td>
                <td>{{ $row['min_session'] }} </td>
                <td>{{ $row['queues'] }} <br /></td>

                @php $offset = 2; @endphp
            </tr>
        </tbody>
    </table>

    <table>
        <thead>
            <tr>
                <th class="key-header">{{ __('queue') }}</th>
                <th class="key-header" @if ('pdf' !== $format) colspan="12" @endif>
                    {{ __('reports_agent_session_time_by_hour') }}
                </th>
            </tr>
        </thead>
        @if ('pdf' !== $format)
    </table>
    <table>
@endif
<tbody>
    @foreach ($row['details'] as $item)
        <tr>
            <td class="data" @if ('pdf' !== $format) rowspan='3' @endif>
                {{ $item['queue'] }} <br />
                Total <br />
                {{ $item['total'] }}
            </td>
            @php $offset = 2; @endphp

            <td class="data">
                @include('pdf.session_data', [
                    'offset' => $offset,
                    'length' => 12,
                    'row' => $item,
                ])

                @include('pdf.session_data', [
                    'offset' => $offset + 12,
                    'length' => -1,
                    'row' => $item,
                ])
                <br />
            </td>
        </tr>
    @endforeach
</tbody>

</table>
@endforeach

<style>
    .key {
        border-right: 1px solid;
        border-bottom: 1px solid;
        border-left: 1px solid;
        font-weight: bold;
        text-align: center;
    }

    .data {
        border-bottom: 1px solid;
        border-right: 1px solid;
        padding: 0;
        margin: 0;
    }

    .key,
    .session,
    .data-header,
    .data {
        border-color: #f2f2f2;
    }

    .session-key {
        background-color: #f2f2f2;
        font-weight: bold;
    }

    .key-header {
        background-color: #f7d1bd;
    }

    .data-header {
        background-color: #c2d9de;
        text-align: center;
    }

    .key-header,
    .data-header {
        color: black;
    }
</style>
