<table>
    <thead>
        <tr>
            <th>{{ __('reports_details') }}</th>
            <th>{{-- dd( auth()->user()->locale)--}}</th>
        </tr>
    </thead>

    <tbody>
        <tr>
            <td>{{ __('reports_queues_considered') }}</td>
            <td>{{ $filters['queues'] }}</td>
        </tr>

        <tr>
            <td>{{ __('reports_period_start_date') }}</td>
            <td>{{ $filters['start_date'] }}</td>
        </tr>

        <tr>
            <td>{{ __('reports_period_end_date') }}</td>
            <td>{{ $filters['end_date'] }}</td>
        </tr>

        <tr>
            <td>{{ __('reports_total_calls_processed') }}</td>
            <td>
                {{ $answeredCallsRows['answered_calls'] }} 
                {{ __('reports_summary_answered') }} / 
                {{ $abandonedCallsRows['abandoned_calls'] }} 
                {{ __('reports_summary_abandoned') }} 
            </td>
        </tr>

        <tr>
            <td>{{ __('reports_percent') }}</td>
            <td>
                {{ $answeredCallsRows['answered_calls_percent'] }} 
                {{ __('reports_summary_answered') }} / 
                {{ $abandonedCallsRows['abandoned_calls_percent'] }} 
                {{ __('reports_summary_abandoned') }}
            </td>
        </tr>

        <tr>
            <td>{{ __('reports_disconnection_causes') }}</td>
            <td>{{ $disconnectionCauses }}</td>
        </tr>
    </tbody>
</table><br>


@include('pdf.datatable', ['columns' => $serviceLevelColumns, 'rows' => $serviceLevelRows])<br>

<div>
    <table id="answered">
        <thead>
            <tr>
                <th class="header">{{ __('reports_answered_calls') }}</th>
                <th></th>
            </tr>
        </thead>

        <tbody>
            <tr>
                <td>{{ __('reports_answered_calls') }}</td>
                <td>{{ $answeredCallsRows['answered_calls'] }}</td>
            </tr>

            <tr>
                <td>{{ __('reports_average_calls_length') }}</td>
                <td>{{ $answeredCallsRows['avg_call_length'] }}</td>
            </tr>

            <tr>
                <td>{{ __('reports_min_call_length') }}</td>
                <td>{{ $answeredCallsRows['min_call_length'] }}</td>
            </tr>

            <tr>
                <td>{{ __('reports_max_call_length') }}</td>
                <td>{{ $answeredCallsRows['max_call_length'] }}</td>
            </tr>

            <tr>
                <td>{{ __('reports_total_call_length') }}</td>
                <td>{{ $answeredCallsRows['total_call_length'] }}</td>
            </tr>

            <tr>
                <td>{{ __('reports_avg_waiting_time') }}</td>
                <td>{{ $answeredCallsRows['avg_waiting_time'] }}</td>
            </tr>

            <tr>
                <td>{{ __('reports_min_waiting_time') }}</td>
                <td>{{ $answeredCallsRows['min_waiting_time'] }}</td>
            </tr>

            <tr>
                <td>{{ __('reports_max_waiting_time') }}</td>
                <td>{{ $answeredCallsRows['max_waiting_time'] }}</td>
            </tr>

            <tr>
                <td>{{ __('reports_total_waiting_time') }}</td>
                <td>{{ $answeredCallsRows['total_waiting_time'] }}</td>
            </tr>
        </tbody>
    </table>

    <table id="abandoned">
        <thead>
            <tr>
                <th class="header">{{ __('reports_abandoned_calls') }}</th>
                <th></th>
            </tr>
        </thead>

        <tbody>
            <tr>
                <td>{{ __('reports_abandoned_calls') }}</td>
                <td>{{ $abandonedCallsRows['abandoned_calls'] }}</td>
            </tr>

            <tr>
                <td>{{ __('reports_average_calls_waiting_time') }}</td>
                <td>{{ $abandonedCallsRows['avg_waiting_time'] }}</td>
            </tr>

            <tr>
                <td>{{ __('reports_min_waiting_time') }}</td>
                <td>{{ $abandonedCallsRows['min_waiting_time'] }}</td>
            </tr>

            <tr>
                <td>{{ __('reports_max_waiting_time') }}</td>
                <td>{{ $abandonedCallsRows['max_waiting_time'] }}</td>
            </tr>

            <tr>
                <td>{{ __('reports_total_waiting_time') }}</td>
                <td>{{ $abandonedCallsRows['total_waiting_time'] }}</td>
            </tr>
        </tbody>
    </table>

    <table id="lost">
        <thead>
            <tr>
                <th class="header">{{ __('lost_calls') }}</th>
                <th></th>
            </tr>
        </thead>
      
        <tbody>
            <tr>
                <td>{{ __('lost_calls') }}</td>
                <td>{{$lostCalls['lost_calls']}}</td>
            </tr>

            <tr>
                <td>{{ __('reports_average_calls_waiting_time') }}</td>
                <td>{{ $lostCalls['avg_waiting_time'] }}</td>
            </tr>

            <tr>
                <td>{{ __('reports_min_waiting_time') }}</td>
                <td>{{ $lostCalls['min_waiting_time'] }}</td>
            </tr>

            <tr>
                <td>{{ __('reports_max_waiting_time') }}</td>
                <td>{{ $lostCalls['max_waiting_time'] }}</td>
            </tr>

            <tr>
                <td>{{ __('reports_total_waiting_time') }}</td>
                <td>{{ $lostCalls['total_waiting_time'] }}</td>
            </tr>
        </tbody>
    </table>
</div>

<style>
    #answered thead {
        background-color: #268540;
    }

    #abandoned thead {
        background-color: #6e1c24;
    }

    .header {
        width: 75%;
    }
</style>
